Bug 855822 - Gnome-contacts a11y support incomplete.
Gnome-contacts a11y support incomplete.
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-contacts (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alexander Larsson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 06:18 EDT by Vitezslav Humpa
Modified: 2017-01-09 10:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Humpa 2012-09-10 06:18:42 EDT
Description of problem:
Gnome-contacts does not provide useful at-spi a11y exports for its list of contacts. All that is provided are unnamed 'table cell' elements without any further information on which contacts are they actually containing. This reduces impaired person's (using i.e. ORCA to manipulate desktop) ability to make use of 'Contacts'. It also limits our ability to make automated test for gnome-contacts as we use at-spi based framework(dogtail) to do so.

Version-Release number of selected component (if applicable):
gnome-contacts-3.4.1-2.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install either dogtail or accerciser
2. Use sniff (dogtail) or accerciser to browse gnome-contacts' at-spi tree
3. Try to find any nodes labeled with names of contacts present

OR - attempt to use ORCA to manipulate/read contacts

Actual results:
Contact names should be exported together with the corresponding 'table cell' elements, although they are not.
Comment 1 Matthias Clasen 2012-10-16 13:24:08 EDT
Filed upstream as https://bugzilla.gnome.org/show_bug.cgi?id=686237
Comment 3 RHEL Product and Program Management 2014-03-22 03:05:19 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Vladimir Benes 2015-05-15 09:28:14 EDT
this works well in 3.14
Comment 6 Bill Sanford 2015-05-15 11:52:00 EDT
(In reply to Vladimir Benes from comment #5)
> this works well in 3.14

I am still seeing issues with RHEL-7.1-20150219.1 & gnome-shell-3.14.2-3. For example: if I edit a contact I hear "Page up" and click "Done," I hear the same thing.

This is a quick list I found of issues with Orca and Contacts:

Selecting toggle for all contacts (Checkmark), no feedback,
Selecting a Contact, "Edit," "Cancel" and "Done," are all "Page Up" in feedback.
In "Change Address Book" toggling between address books, no feedback.

I didn't notice anything else abnormal.

Note You need to log in before you can comment on or make changes to this bug.